﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Hotline.Share.Dtos.Order
{
	public class OrderScreenDetailDto
	{
		/// <summary>
		/// 甄别Id
		/// </summary>
		public string ScreenId { get; set; }

		/// <summary>
		/// 审批人
		/// </summary>
		public string? AuditUserName { get; set; }

		/// <summary>
		/// 审批人
		/// </summary>
		public string? AuditUserId { get; set; }

		/// <summary>
		/// 审批人
		/// </summary>
		public string? AuditOrgId { get; set; }

		/// <summary>
		/// 审批机构
		/// </summary>
		public string? AuditOrgName { get; set; }

		/// <summary>
		/// 审批时间
		/// </summary>
		public DateTime? AuditTime { get; set; }

		/// <summary>
		/// 审批类型   1 审批  2 退回
		/// </summary>
		public int AuditType { get; set; }


		/// <summary>
		/// 当前最新审批时间
		/// </summary>
		public DateTime? NewestAuditTime => AuditType == 1 ? AuditTime : null;


		/// <summary>
		/// 当前最新退回时间
		/// </summary>
		public DateTime? NewestBackTime => AuditType == 2 ? AuditTime : null;
	}
}
